package org.diagbot.graph.jdbc;

import java.util.HashMap;
import java.util.Map;

/**
 * @Auther: fyeman
 * @Date: 2018/9/26/026 15:23
 * @Description:
 */
public class Neo4jModel {
    // Neo4j API访问参数标志
    public final static String Uri = "URI";
    public final static String user = "user";
    public final static String password = "password";
    public final static String option = "option";
    public final static String name = "name";
    public final static String label = "label";
    public final static String property = "property";
    public final static String result = "result";
    public final static String lexicon_table = "graphdb_dict";
    public final static String origin = "origin";
    public final static String newval = "newval";
    public final static String level = "level";
    public final static String start = "start";
    public final static String end = "end";
    public final static String relation = "relation";
    public final static String oldrelation = "oldrel";

    //实体对象所有属性信息
    private Map<String, Object> toProperties = new HashMap<>();
    //关系名称
    private String relationName;
    //关联对象集合属性信息
    private Map<String, Object> fromProperties = new HashMap<>();

    public Map<String, Object> getToProperties() {
        return toProperties;
    }

    public void setToProperties(Map<String, Object> toProperties) {
        this.toProperties = toProperties;
    }

    public Map<String, Object> getFromProperties() {
        return fromProperties;
    }

    public void setFromProperties(Map<String, Object> fromProperties) {
        this.fromProperties = fromProperties;
    }

    public String getRelationName() {
        return relationName;
    }

    public void setRelationName(String relationName) {
        this.relationName = relationName;
    }

}
